XmVaCreatePushButtonGadget(library call)

NAME
XmVaCreatePushButtonGadget, XmVaCreateManagedPushButtonGadget — A PushButtonGadget widget convenience creation functions.

SYNOPSIS

#include <Xm/PushBG.h>

Widget XmVaCreatePushButtonGadget(
Widget parent,
String name,
...);

Widget XmVaCreateManagedPushButtonGadget(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreatePushButtonGadget function is a convenience routine that calls XtCreateWidget.

The XmVaCreatePushButtonGadget function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of PushButtonGadget and its associated resources, see XmPushButtonGadget(3).

RETURN

Returns the PushButtonGadget widget ID.

RELATED

XmPushButtonGadget(3), XmCreatePushButtonGadget(3), XtCreateWidget(3), and XtCreateManagedWidget(3).